<?php
/*--------------------------------------------+
| PHP-Fusion 7 Content Management System      |
+---------------------------------------------+
| Copyright  2002 - 2008 Nick Jones          |
| http://www.php-fusion.co.uk/                |
+---------------------------------------------+
| Released under the terms & conditions of the|
| GNU Affero GPL v3.                          |
+--------------------------------------------*/
/*--------------------------------------------+
| Advanced Articles for PHP-Fusion v7         |
|---------------------------------------------|
| author: PHPFusion-Tips.dk  2007-2008       |
| version: 1.2                                |
| usernames: Smokeman                         |
| web: http://www.phpfusion-tips.dk           |
| email: admin@phpfusion-tips.dk              |
+--------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

add_to_title(" - Advanced Articles");

if (file_exists(INFUSIONS."advanced_articles/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advanced_articles/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."advanced_articles/locale/English.php";
}

$max_chars = 30; // Max. chars showing from the headline
$max_chars_desc = 64; // Max. chars showing from the description
$max_cats = 15; // Max. categories

opentable($locale['aw_001']);

// 3 ELEMENTS START

echo "<center><table width='100%'><tr>

<td valign='top' width='33%' class='small'>";
openside($locale['aw_002']);
include INFUSIONS."advanced_articles/new_articles.php";
closeside();
echo "</td>";

echo "<td valign='top' width='33%' class='small'>";
openside($locale['aw_003']);
include INFUSIONS."advanced_articles/popular_articles.php";
closeside();
echo "</td>";

echo "<td valign='top' width='33%' class='small'>";
openside($locale['aw_004']);
echo "<div align='left'>".$locale['aw_005']."<br /><br />
1. ".$locale['aw_006']."<br />
2. ".$locale['aw_008']."<br />
3. ".$locale['aw_009']."
</div>";
closeside();
echo "</td></tr></table></center><hr />";

echo "<center>
".$locale['aw_010']." <b>".number_format(dbcount("(article_id)", DB_ARTICLES))."</b> ".$locale['aw_011']." <b>".number_format(dbcount("(article_cat_id)", DB_ARTICLE_CATS))."</b> ".$locale['aw_012'].".
</center><hr />";

// 3 ELEMENTS END

if (!isset($_GET['sortby']) || !preg_match("/^[0-9A-Z]$/", $_GET['sortby'])) { $_GET['sortby'] = "all"; }
	$orderby = ($_GET['sortby'] == "all" ? "" : " WHERE article_cat_name LIKE '".stripinput($_GET['sortby'])."%'");
	$result = dbquery("SELECT * FROM ".DB_ARTICLE_CATS.$orderby."");
	$rows = dbrows($result);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }


if ($rows != 0) {
	$i = 0;
	$colspan = $rows >= 3 ? "colspan='3' " : ($rows == 2 ? "colspan='2' " : "");
	$width = $rows >= 3 ? "33%" : ($rows == 2 ? "50%" : "100%");
	echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>

<tr>
<td class='tbl1'>
<table align='center' cellpadding='0' cellspacing='0' width='100%'>
<tr>\n";
	
	$result = dbquery("SELECT * FROM ".DB_ARTICLE_CATS.$orderby." ORDER BY article_cat_name ASC LIMIT ".$_GET['rowstart'].",$max_cats");

	while ($data = dbarray($result)) {
		if ($i != 0 && $i % 3 == 0) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "</tr>
</table>
</td>
</tr>
<tr>
<td class='$cell_color' valign='top'>
<table align='center' cellpadding='0' cellspacing='0' width='100%' valign='top'>
<tr>\n";
		}
		$num = dbcount("(article_cat)", DB_ARTICLES, "article_cat='".$data['article_cat_id']."'");
		$i ++;
$rowstart="0";
		echo "<td width='$width' valign='top'><a href='".BASEDIR."articles.php?cat_id=".$data['article_cat_id']."' title='".$data['article_cat_name']."'>".trimlink($data['article_cat_name'], $max_chars)."</a> <span class='small2'>($num)</span><br />".trimlink($data['article_cat_description'], $max_chars_desc)."</td>\n";
		if (($rows - $rowstart) > 3 && ($i == $max_cats || $i == ($rows - $rowstart))) {
			while($i % 3 != 0) {
				$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
				echo "<td width='33%'> </td>\n";
				$i ++;
			}
		}
	}

	echo "</tr>\n</table>\n</td>\n</tr>\n</table>\n";
} else {

	echo "<center><br />\n".$locale['aw_013']." ".$_GET['sortby']."<br /><br />\n</center>\n";
}
$search = array(
	"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
	"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
);
echo "<hr />
<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['aw_014']."</a></td>\n";
for ($i = 0; $i < 36 != ""; $i++) {
	echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
	echo ($i == 17 ? "\n<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['aw_014']."</a></td>\n</tr>\n<tr>\n" : "\n");
}
echo "</tr>\n</table>\n";

closetable();

if ($rows > $max_cats) { echo "<div align='center' style='margin-top:5px;'>".makepagenav($_GET['rowstart'], $max_cats, $rows, 3, FUSION_SELF."?sortby=".$_GET['sortby']."&amp;")."</div>\n"; }
require_once THEMES."templates/footer.php";
?>